Retrieve all entities that are linked to a specific entity along with their associated tasks. This includes related entities, dependencies, and hierarchical relationships.
GET
/data/entities/{entity_id}/entities-linked/with-tasks
curl
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/entities-linked/with-tasks" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/entities-linked/with-tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Character Model",
"entity_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
"project_id": "c46c80c6-e097-6887-c292-79675204e470",
"parent_id": "d57d91d7-f108-7998-d403-80786315f580",
"tasks": [
{
"id": "e68e02e8-0219-8009-e514-918974260690",
"name": "Modeling Task",
"task_type_id": "f79f13f9-1320-9010-f625-029985371800"
}
]
}
]